Bug 116577 - Network on e100 not working
Network on e100 not working
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-02-23 08:27 EST by Petr Krištof
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-smp-2.6.4-1.298
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-31 04:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
interrupts-rh (481 bytes, text/plain)
2004-02-23 08:29 EST, Petr Krištof
no flags Details
interrupts-vanilla (432 bytes, text/plain)
2004-02-23 08:31 EST, Petr Krištof
no flags Details
dmessg-rh (14.89 KB, text/plain)
2004-02-23 08:33 EST, Petr Krištof
no flags Details
dmessg-vanilla (14.46 KB, text/plain)
2004-02-23 08:34 EST, Petr Krištof
no flags Details
boot-acpi-on (14.64 KB, text/plain)
2004-03-12 05:16 EST, Petr Krištof
no flags Details
boot-acpi-off (11.75 KB, text/plain)
2004-03-12 05:17 EST, Petr Krištof
no flags Details
boot-pci-noacpi (13.49 KB, text/plain)
2004-03-12 05:18 EST, Petr Krištof
no flags Details
2.6.4-linus-config (33.53 KB, text/plain)
2004-03-23 12:01 EST, Petr Krištof
no flags Details
2.6.4-linux-dmesg (11.28 KB, text/plain)
2004-03-23 12:02 EST, Petr Krištof
no flags Details
MSI865G-Neo2LS.acpidmp (67.14 KB, text/plain)
2004-03-23 12:04 EST, Petr Krištof
no flags Details

  None (edit)
Description Petr Krištof 2004-02-23 08:27:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When booting redhats kernel, network is not working.
No ping, arp, etc.
With the vanilla 2.6.3 kernel everything work fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot redhat kernel
2. ping to machine on same LAN

Actual Results:  6 packets transmitted, 0 received, +3 errors, 100%
packet loss

Expected Results:  3 packets transmitted, 3 received, 0% packet loss

Additional info:
Comment 1 Petr Krištof 2004-02-23 08:29:33 EST
Created attachment 97943 [details]

Output of cat /proc/interrupts on rh kernel
Comment 2 Petr Krištof 2004-02-23 08:31:10 EST
Created attachment 97944 [details]

Output of cat /proc/interrupts on vanilla kernel
Comment 3 Petr Krištof 2004-02-23 08:33:26 EST
Created attachment 97945 [details]

dmessg on rh kernel
Comment 4 Petr Krištof 2004-02-23 08:34:46 EST
Created attachment 97946 [details]

dmessg on vanilla kernel
Comment 5 Dave Jones 2004-02-23 10:42:24 EST
e100 got a complete rewrite in 2.6.3-bk1, looks like we regressed on
at least some cards.  Can you report this back upstream too please ?
Comment 6 Scott Feldman 2004-02-23 21:49:58 EST
Why does e100-3.x show irq = 169?

Looks like we're not getting any interrupts with e100-3.x.

What happens with e100-2.3.x against kernel-smp-2.6.3-1.97?  Get e100-
2.3.38.tar.gz from http://sf.net/projects/e1000.  You'll need kernel 
source for kernel-smp-2.6.3-1.97 installed to build the driver from 
tar ball.
Comment 7 Arjan van de Ven 2004-02-24 02:59:56 EST
Scott: one no longer can build drivers against the kernel-source rpm;
all the needed headers are now part of the kernel-smp rpm proper.
Comment 8 Scott Feldman 2004-02-24 03:38:15 EST
Oh, ok, that's good.

Are there any updates to ACPI between 2.6.3 and 2.6.3-1.97?  That's 
the first thing I suspect when device isn't getting interrupts to 
driver.  How about is we set 'acpi=off'?
Comment 9 Petr Krištof 2004-02-25 13:35:28 EST
Im out of office for one week about and cannt debug nonworking network
driver over network. Thanks for patience.
I will test acpi=off and SF driver after return.
Comment 10 Petr Krištof 2004-03-12 05:16:39 EST
Created attachment 98483 [details]
Comment 11 Petr Krištof 2004-03-12 05:17:20 EST
Created attachment 98484 [details]
Comment 12 Petr Krištof 2004-03-12 05:18:56 EST
Created attachment 98485 [details]
Comment 13 Petr Krištof 2004-03-12 06:00:56 EST
I tryied boot kernel-smp-2.6.3-1.118
(same for 2.6.3-2.1.253smp) with boot options

acpion - not working
acpioff - working
pci=noacpi - working

So it looks problem is not in driver itself, but in interrupt
management and ACPI.

Im going to usage pci=noacpi.
Comment 14 Len Brown 2004-03-15 23:50:41 EST
dmesg-rh and interrupts-rh is the failure and 
dmesg-vanilla and interrupts-vanilla (2.6.3) the e100 works? 
One big differences is CONFIG_PCI_USE_VECTOR, which 
is enabled in -rh and disabled on -vanilla.  Perhaps 
you can disable it on -rh and enable it on -vanilla to 
see if the failure follows that? 
-vanilla has another problem though -- 
irq 18: nobody cared! 
on ide_intr() which may impact your ide disk... 
Looking at dmesg-vanilla, IRQ18 is set to LEVEL/LOW 
which perhaps is not what IDE expects... 
> ICH5: 100% native mode on irq 18 
I've never seen 100% native mode before 
My (875) ICH5 system says: 
ICH5: not 100% native mode: will probe irqs later 
and IDE comes up on IRQ14 and IRQ15... 
curious, e100 is in the dmesg for acpi=off, but isn't present 
in dmesg for acpi=on or (working case) pci=noacpi. 
What model Motherboard is this -- does it have the latest BIOS? 
the output from acpidmp would be useful. 
Comment 15 Petr Krištof 2004-03-23 12:01:40 EST
Created attachment 98788 [details]
Comment 16 Petr Krištof 2004-03-23 12:02:24 EST
Created attachment 98789 [details]
Comment 17 Petr Krištof 2004-03-23 12:04:10 EST
Created attachment 98790 [details]
Comment 18 Petr Krištof 2004-03-23 12:12:10 EST
This mainboard is MSI 865G Neo2-LS

I compiled 2.6.4 vanilla kernel with CONFIG_PCI_USE_VECTOR=y
and it is working well (except another warnings like
APIC error on CPU0: 00(60) and some Call Trace)

Comment 19 Petr Krištof 2004-03-31 04:44:27 EST
Upgrade to kernel-smp-2.6.4-1.298.i686.rpm resolves
this issue.
Thank you for your hard work.
Boys, you are the BEST!

Note You need to log in before you can comment on or make changes to this bug.